### Property

# Ide Buffer:language-id

#### Declaration

    property language-id: utf8 [ read, write ]

#### Description

The “language-id” property is a convenience property to set the `GtkSourceBuffer:langauge` property using a string name.

Type: | `gchar*`
Available since: | 3.32

Setter method | `ide_buffer_set_language_id()`
Getter method | `ide_buffer_get_language_id()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no